Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.exception
Class ResultTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kr.ac.kaist.swrc.jhannanum.exception.ResultTypeException

All Implemented Interfaces:
  java.io.Serializable

    public class ResultTypeException

extends java.lang.Exception

This exception occurs when the return type of HanNanum work flow is not matched correctly. A work flow has several phases, so it returns the result with the relevant type according to the last plug-in on the work flow. It means that the work flow may return different types of result.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST
See Also:
  Serialized Form

Field Summary
`private static java.lang.String[]` | `objName` The array of the phase names.
`private int` | `phase` The analysis phase of the work flow.
`private static long` | `serialVersionUID` serialVersionUID

Constructor Summary
`ResultTypeException(int phase)` Constructor.

Method Summary
`java.lang.String` | `getMessage()` Returns the exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  serialVersionUID

  See Also:
    Constant Field Values

### objName

    private static final java.lang.String[] objName

  The array of the phase names.

### phase

    private int phase

  The analysis phase of the work flow.

Constructor Detail

### ResultTypeException

    public ResultTypeException(int phase)

  Constructor.

  Parameters:
    `phase` - - analysis phase of the work flow

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the exception message.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD